## com.thingmagic
Class MultiReadPlan

    java.lang.Object
      com.thingmagic.ReadPlan
          com.thingmagic.MultiReadPlan

    public class MultiReadPlan

extends ReadPlan

A MultiReadPlan is a list of read plans which are used in sequence, with a relative time corresponding to their relative weights.

Field Summary

Fields inherited from class com.thingmagic.ReadPlan
`enableAutonomousRead, weight`

Constructor Summary
`MultiReadPlan(ReadPlan[] plans)`
`MultiReadPlan(ReadPlan[] plans, int weight)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiReadPlan

    public MultiReadPlan(ReadPlan[] plans)

### MultiReadPlan

    public MultiReadPlan(ReadPlan[] plans,
                         int weight)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`